JBoss API: Class JMXAdaptorImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.server
Class JMXAdaptorImpl

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--org.jboss.jmx.server.JMXAdaptorImpl

All Implemented Interfaces:
  JMXAdaptor, java.rmi.Remote, java.io.Serializable

public class JMXAdaptorImpl
extends java.rmi.server.UnicastRemoteObject
implements JMXAdaptor

Version:
  $Revision: 1.3.6.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  , Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JMXAdaptorImpl(javax.management.MBeanServer server)`

Method Summary
`java.lang.Object` | `getAttribute(javax.management.ObjectName name, java.lang.String attribute)`
`java.util.Collection` | `getMBeanInfos()`
`java.lang.Object` | `invoke(javax.management.ObjectName name, java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)`
`java.util.Set` | `queryMBeans(javax.management.ObjectName name, javax.management.QueryExp query)`
`void` | `setAttribute(javax.management.ObjectName name, javax.management.Attribute attribute)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMXAdaptorImpl

    public JMXAdaptorImpl(javax.management.MBeanServer server)
                   throws java.rmi.RemoteException

Method Detail

### invoke

    public java.lang.Object invoke(javax.management.ObjectName name,
                                   java.lang.String actionName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.rmi.RemoteException

  Specified by:
    `invoke` in interface `JMXAdaptor`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName name,
                                     javax.management.QueryExp query)
                              throws java.rmi.RemoteException

  Specified by:
    `queryMBeans` in interface `JMXAdaptor`

### getMBeanInfos

    public java.util.Collection getMBeanInfos()
                                       throws java.rmi.RemoteException

  Specified by:
    `getMBeanInfos` in interface `JMXAdaptor`

### setAttribute

    public void setAttribute(javax.management.ObjectName name,
                             javax.management.Attribute attribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.rmi.RemoteException

  Specified by:
    `setAttribute` in interface `JMXAdaptor`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName name,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.rmi.RemoteException

  Specified by:
    `getAttribute` in interface `JMXAdaptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.